<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:c="http://java.sun.com/jsp/jstl/core">
    <h:outputStylesheet library="css/extraction" name="#{css}" />
    <f:loadBundle var="datesStep" basename="org.inra.ecoinfo.pro.extraction.jsf.panels.datesChoiceStep"></f:loadBundle>
    <f:param name="panelNumber"></f:param>

    <a4j:jsFunction name="changeDate"
                    execute="@this, dateStart, dateEnd"
                    render="panelChoiceDate,parametersRequest,step3Valid,messageWarningStep3,nextStepButton"
                    limitRender="true">
    </a4j:jsFunction>
    <h:panelGroup id="panelChoiceDate">

        <h:panelGroup id="messageWarningStep3"
                      rendered="#{not uiBean.parametersRequest.dateStepIsValid}">
            <h:outputText value="#{datesStep.PARAM_MSG_CHOOSE_DATE}"
                          styleClass="selectionEmpty" />
            <h:outputText value=" : " />
            <h:outputText id="format"
                          value=" #{datesStep.PARAM_MSG_DATE_FORMAT} #{uiBean.parametersRequest.datesForm1ParamVO.datePatternToLowerCase} " />
        </h:panelGroup>
        <h:panelGrid  styleClass="wrapper" columns="3">
            <h:outputText value="#{datesStep.PARAM_MSG_START_DATE}" />
            <h:outputText value=" : " />
            <h:inputText 
                id="dateStart" 
                onkeyup="if ($('input[id$=dateStart]')[0].value.length == 10)$('*[id$=dateEnd]').focus(); if ($('input[id$=dateStart]')[0].value.length == 10 &amp; $('input[id$=dateEnd] ')[0].value.length == 10) {changeDate()};"
                onchange="if ($('input[id$=dateStart]')[0].value.length == 10)$('*[id$=dateEnd]').focus(); if ($('input[id$=dateStart]')[0].value.length == 10 &amp; $('input[id$=dateEnd] ')[0].value.length == 10) {changeDate(); }"
                value="#{uiBean.parametersRequest.datesForm1ParamVO.dateStart}" />
            <h:outputText value="#{datesStep.PARAM_MSG_END_DATE}" />
            <h:outputText value=" : " />
            <h:inputText 
                id="dateEnd" 
                onkeyup="if ($('input[id$=dateStart]')[0].value.length == 10 &amp; $('input[id$=dateEnd] ')[0].value.length == 10) changeDate()"
                onchange="if ($('input[id$=dateStart]')[0].value.length == 10 &amp; $('input[id$=dateEnd] ')[0].value.length == 10) changeDate()"
                value="#{uiBean.parametersRequest.datesForm1ParamVO.dateEnd}" />
        </h:panelGrid>
    </h:panelGroup>
</html>

